import Dexie from "dexie";
declare type timestamp = number;
export interface ReplyItem {
    id: string;
    mid: string;
    uid: string;
    pid: string;
    reply_id: string;
    reply_uid: string;
    text: string;
    create_time: timestamp;
}
declare class CommentItemTable {
    private table;
    init(db: Dexie): void;
    bulkGet(ids: string[]): Promise<ReplyItem[]>;
    bulkAddComments(comments: ReplyItem[], momentId?: string): Promise<void>;
    getCommentsByMomentIds(ids: string[]): Promise<ReplyItem[]>;
    publishNew(momentId: string): void;
}
declare const CommentStore: CommentItemTable;
export default CommentStore;
